class CreateUserScoreDetails < ActiveRecord::Migration
  def change
    create_table :user_score_details do |t|
      t.integer :current_user_id
      t.integer :target_user_id
      t.string :score_type
      t.string :score_action
      t.integer :user_id
      t.integer :old_score
      t.integer :new_score
      t.integer :current_user_level
      t.integer :target_user_level
      t.integer :score_changeable_obj_id
      t.string :score_changeable_obj_type

      t.timestamps
    end
  end
end
